// Buttons

.btn--darkmode {
	background-color: transparent;
	border: none;
  color: $white;
	font-size: 0.875rem;
	margin-left: auto;
	padding: 0.5em 0 0.5em 0.5em;

	.disc {
		background-color: $white;
		border-radius: 50%;
		display: inline-block;
		height: 0.75rem;
		width: 0.75rem;
		margin-right: 0.5em;
		vertical-align: middle;
		transition: all 0.2s linear;
	}

	&:hover,
	&:focus {
		outline: none;

		.disc {
			box-shadow: 0 0 4px 4px rgba($white, 0.3);
		}
	}
}

.btn {
	background-color: var(--content-secondary);
	border: 1px solid var(--btn-border);
	color: var(--btn-label);
	font-size: 0.875rem;
	padding: 0.5em 1em;
	position: relative;
	transition: background-color 0.2s linear, border-color 0.2s linear, color 0.2s linear;

	&:hover,
	&:focus {
		background-color: var(--btn-hover-bg);
		border-color: var(--btn-hover-border);
		z-index: 10;
	}

	&:focus {
		outline: none;
		box-shadow: 0 0 0 4px rgba(var(--btn-focus-rgb), 0.3);
	}

	&--counter,
	&--option {

		&:first-of-type {
			border-radius: 4px 0 0 4px;
			margin-right: -1px;
		}
	
		&:last-of-type {
			border-radius: 0 4px 4px 0;
		}
	}

	&--option {
		flex: 1;

		&:not(:last-child) {
			margin-right: -1px;
		}
	}

	&--selected,
	&--selected:hover,
	&--selected:focus {
		background-color: var(--btn-selected-bg);
		border-color: var(--btn-selected-border);
		color: var(--btn-selected-label);
		z-index: 10;
  }
  
  &--reset {
    border: none;

    &:hover {
      background: none;
      text-decoration: underline;
    }
  }

  &--regen {
    border-radius: 4px;
    border-width: 2px;
  }
}
